<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.6.2.12
Name: Kodierung des Befundtextes
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.6.2.12-2012-01-12T000000">
   <title>Kodierung des Befundtextes</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.12
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.12']]
Item: (BefundtextKodierung)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.12
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.12']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.12']]
Item: (BefundtextKodierung)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.12']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.12']]"
         id="tmp-r-13ebee71-4ade-404d-b06a-2b0575b98eb0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140526T180938/tmp-2.16.840.1.113883.10.20.6.2.12-2012-01-12T000000.html"
              test="string(@classCode)='OBS'">(BefundtextKodierung): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140526T180938/tmp-2.16.840.1.113883.10.20.6.2.12-2012-01-12T000000.html"
              test="string(@moodCode)='EVN'">(BefundtextKodierung): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140526T180938/tmp-2.16.840.1.113883.10.20.6.2.12-2012-01-12T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.12'])&gt;=1 ">(BefundtextKodierung): Element hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.12'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140526T180938/tmp-2.16.840.1.113883.10.20.6.2.12-2012-01-12T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.12'])&lt;=1">(BefundtextKodierung): Element hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.12'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140526T180938/tmp-2.16.840.1.113883.10.20.6.2.12-2012-01-12T000000.html"
              test="count(hl7:code[(@code='121071' and @codeSystem='1.2.840.10008.2.16.4')])&gt;=1 and not(hl7:code[(@code='121071' and @codeSystem='1.2.840.10008.2.16.4')]/@nullFlavor)">(BefundtextKodierung): Element hl7:code[(@code='121071' and @codeSystem='1.2.840.10008.2.16.4')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140526T180938/tmp-2.16.840.1.113883.10.20.6.2.12-2012-01-12T000000.html"
              test="count(hl7:code[(@code='121071' and @codeSystem='1.2.840.10008.2.16.4')])&lt;=1">(BefundtextKodierung): Element hl7:code[(@code='121071' and @codeSystem='1.2.840.10008.2.16.4')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140526T180938/tmp-2.16.840.1.113883.10.20.6.2.12-2012-01-12T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(BefundtextKodierung): Element hl7:value ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140526T180938/tmp-2.16.840.1.113883.10.20.6.2.12-2012-01-12T000000.html"
              test="count(hl7:value)&lt;=1">(BefundtextKodierung): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.12
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.12']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.12']]/hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.12']
Item: (BefundtextKodierung)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.12']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.12']]/hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.12']"
         id="tmp-r-f0482550-072b-4310-a353-63f9ea7b2627">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140526T180938/tmp-2.16.840.1.113883.10.20.6.2.12-2012-01-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BefundtextKodierung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140526T180938/tmp-2.16.840.1.113883.10.20.6.2.12-2012-01-12T000000.html"
              test="string(@root)='2.16.840.1.113883.10.20.6.2.12'">(BefundtextKodierung): @root MUSS den Wert '2.16.840.1.113883.10.20.6.2.12' haben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.12
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.12']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.12']]/hl7:code[(@code='121071' and @codeSystem='1.2.840.10008.2.16.4')]
Item: (BefundtextKodierung)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.12']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.12']]/hl7:code[(@code='121071' and @codeSystem='1.2.840.10008.2.16.4')]"
         id="tmp-r-28fcf634-3938-4c3d-a31a-0b2727c0f9d7">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140526T180938/tmp-2.16.840.1.113883.10.20.6.2.12-2012-01-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BefundtextKodierung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140526T180938/tmp-2.16.840.1.113883.10.20.6.2.12-2012-01-12T000000.html"
              test="@nullFlavor or (@code='121071' and @codeSystem='1.2.840.10008.2.16.4' and @displayName='Finding' and @codeSystemName='DCM')">(BefundtextKodierung): Der Elementinhalt MUSS sein code '121071' codeSystem '1.2.840.10008.2.16.4' displayName='Finding' codeSystemName='DCM'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.12
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.12']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.12']]/hl7:value
Item: (BefundtextKodierung)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.12']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.12']]/hl7:value"
         id="tmp-r-c8c92196-b8e2-42b0-828f-449e753e6910">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140526T180938/tmp-2.16.840.1.113883.10.20.6.2.12-2012-01-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BefundtextKodierung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140526T180938/tmp-2.16.840.1.113883.10.20.6.2.12-2012-01-12T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(BefundtextKodierung): Element hl7:reference ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140526T180938/tmp-2.16.840.1.113883.10.20.6.2.12-2012-01-12T000000.html"
              test="count(hl7:reference)&lt;=1">(BefundtextKodierung): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.12
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.12']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.12']]/hl7:value/hl7:reference
Item: (BefundtextKodierung)
-->
</pattern>
